<?php

namespace HCM\FPA\Services;

use HCM\FPA\Repository\RelatCustomAdmissaoRepository;
use Doctrine\ORM\EntityManager;

class RelatCustomAdmissaoService {

    /**
     * @var relatCustomAdmissaoRepository
     */
    protected $relatCustomAdmissaoRepository;

    public function __construct(EntityManager $entityManager, RelatCustomAdmissaoRepository $relatCustomAdmissaoRepository) {
        $this->entityManager = $entityManager;
        $this->relatCustomAdmissaoRepository = $relatCustomAdmissaoRepository;
    }

    /**
     * @return int
     */

    public function getRelatCustomAdmissao($parameters, $filters) {
      return $this->relatCustomAdmissaoRepository->getRelatCustomAdmissao($parameters, $filters);
    }
    
    
    public function getNomeTipoEstrutura($params){
        return $this->relatCustomAdmissaoRepository->getNomeTipoEstrutura($params);
    }
} 