<?php

namespace HCM\FPA\ObrigacaoLegal\Dirf\Registros;

use HCM\FPA\ObrigacaoLegal\Dirf\Registros\RegistroDIRF;

class RegistroMensal extends RegistroDIRF{

    private function _geraRegistro($tpRegistro, $remuneracao){
        // Ordem 1
        $this->atribuiDadoDirf($tpRegistro);

        // Ordem 2 - 14
        //foreach($remuneracao as $mes => $valor){
        for ($mes = 1; $mes <= 13; $mes++) {
            $this->atribuiDadoDirf($remuneracao[$mes], parent::NUMERICO);
        }
    }

    public function geraRegistroRTRT($remuneracao){
        $this->_geraRegistro(parent::REGISTRO_RTRT, $remuneracao);
    }

    public function geraRegistroRTPO($remuneracao){
        $this->_geraRegistro(parent::REGISTRO_RTPO, $remuneracao);
    }

    public function geraRegistroRTDP($remuneracao){
        $this->_geraRegistro(parent::REGISTRO_RTDP, $remuneracao);
    }

    public function geraRegistroRTIRF($remuneracao){
        $this->_geraRegistro(parent::REGISTRO_RTIRF, $remuneracao);
    }

    public function geraRegistroRTPA($remuneracao){
        $this->_geraRegistro(parent::REGISTRO_RTPA, $remuneracao);
    }

    public function geraRegistroRIDAC($remuneracao){
        $this->_geraRegistro(parent::REGISTRO_RIDAC, $remuneracao);
    }

    public function geraRegistroRIIRP($remuneracao){
        $this->_geraRegistro(parent::REGISTRO_RIIRP, $remuneracao);
    }

    public function geraRegistroRIAP($remuneracao){
        $this->_geraRegistro(parent::REGISTRO_RIAP, $remuneracao);
    }

    public function geraRegistroRIO($remuneracao){
        $this->_geraRegistro(parent::REGISTRO_RIO, $remuneracao);
    }

}